summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xtools/abifuzz.sh (renamed from src/tools/abitest.sh)13
-rw-r--r--tools/callgen.ml (renamed from src/tools/abi.ml)4
-rw-r--r--tools/fptox.c (renamed from src/tools/fptox.c)0
-rw-r--r--tools/pmov.c (renamed from src/tools/pmov.c)0
-rwxr-xr-xtools/regress.sh (renamed from src/tools/regress.sh)0
5 files changed, 10 insertions, 7 deletions
diff --git a/src/tools/abitest.sh b/tools/abifuzz.sh
index d5b16e5..5945082 100755
--- a/src/tools/abitest.sh
+++ b/tools/abifuzz.sh
@@ -1,7 +1,8 @@
 #!/bin/sh
 
-OCAMLC=/usr/bin/ocamlc
-QBE=`pwd`/qbe
+OCAMLC=${OCAMLC:-/usr/bin/ocamlc}
+DIR=`readlink -f $0 | xargs dirname`
+QBE=$DIR/../src/qbe
 
 failure() {
 	echo "Failure at stage:" $1 >&2
@@ -13,7 +14,7 @@ cleanup() {
 }
 
 init() {
-	cp tools/abi.ml $TMP
+	cp $DIR/callgen.ml $TMP
 	pushd $TMP > /dev/null
 
 	cat > Makefile << EOM
@@ -29,7 +30,7 @@ test: caller.o callee.o
 
 EOM
 
-	if ! $OCAMLC abi.ml -o gentest
+	if ! $OCAMLC callgen.ml -o callgen
 	then
 		popd > /dev/null
 		cleanup
@@ -41,9 +42,9 @@ EOM
 once() {
 	if test -z "$3"
 	then
-		$TMP/gentest $TMP $1 $2
+		$TMP/callgen $TMP $1 $2
 	else
-		$TMP/gentest -s $3 $TMP $1 $2
+		$TMP/callgen -s $3 $TMP $1 $2
 	fi
 	make -C $TMP test > /dev/null || failure "building"
 	$TMP/test || failure "runtime"
diff --git a/src/tools/abi.ml b/tools/callgen.ml
index d845c74..9a5976c 100644
--- a/src/tools/abi.ml
+++ b/tools/callgen.ml
@@ -1,4 +1,6 @@
-(* fuzzer *)
+(* abi fuzzer, generates two modules one calling
+ * the other in two possibly different languages
+ *)
 
 type _ bty =
   | Char: int bty
diff --git a/src/tools/fptox.c b/tools/fptox.c
index a2bc155..a2bc155 100644
--- a/src/tools/fptox.c
+++ b/tools/fptox.c
diff --git a/src/tools/pmov.c b/tools/pmov.c
index efbecd7..efbecd7 100644
--- a/src/tools/pmov.c
+++ b/tools/pmov.c
diff --git a/src/tools/regress.sh b/tools/regress.sh
index 4106b00..4106b00 100755
--- a/src/tools/regress.sh
+++ b/tools/regress.sh